## ros-kinetic-openface-ros 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(openface_ros)

find_package(catkin REQUIRED COMPONENTS
  cv_bridge
  image_recognition_msgs
  image_recognition_util
  rospy
)

catkin_python_setup()

catkin_package()

install(PROGRAMS
  scripts/face_recognition_node
  scripts/get_face_recognition
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-openface-ros (0.0.4-0xenial) xenial; urgency=high



 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 06 Feb 2017 23:00:00 -0000

ros-kinetic-openface-ros (0.0.3-0xenial) xenial; urgency=high

  * fix(): Add targets install for scripts
  * Add python-numpy run dependency
  * Contributors: Matthijs van der Burgh, Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 06 Feb 2017 23:00:00 -0000

ros-kinetic-openface-ros (0.0.2-0xenial) xenial; urgency=high



 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 16 Jan 2017 23:00:00 -0000

ros-kinetic-openface-ros (0.0.1-0xenial) xenial; urgency=high

  * Added image recognition util to support labeled and raw writing of image in predefined folder structure
  * Update README.md
  * added images
  * Update README.md
    Added cli doc
  * added example image
  * Create README.md
  * Documentation
  * Fixed ROI bounds
  * Moved funtionality to src and added cmd line tool
  * tmp folder defaults to /tmp/openface
  * Working annotation gui and test gui for both tensorflow_ros object recognition and openface_ros face recognition
  * Working of openface ros node with image_recognition api
  * added packages openface ros and skybiometry ros
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 16 Jan 2017 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-openface-ros
Section: misc
Priority: extra
Maintainer: Rein Appeldoorn <reinzor@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-image-recognition-msgs, ros-kinetic-image-recognition-util, ros-kinetic-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-openface-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-numpy, ros-kinetic-cv-bridge, ros-kinetic-image-recognition-msgs, ros-kinetic-image-recognition-util, ros-kinetic-rospy
Description: The openface_ros package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-openface-ros//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
